SETUP(2)

NAME
setup - setup devices and file systems, mount root file system

SYNOPSIS
#include <unistd.h>

int setup(void);

DESCRIPTION
setup() is called once from within linux/init/main.c. It calls initialization functions for devices and file systems configured into the kernel and then mounts the root file system.

No user process may call setup(). Any user process, even a process with superuser permission, will receive EPERM.

RETURN VALUE
setup() always returns -1 for a user process.

ERRORS

EPERM
    Always, for a user process.

CONFORMING TO
This function is Linux specific, and should not be used in programs intended to be portable, or indeed in any programs at all. Since Linux 2.1.121, no such function exists anymore. The calling sequence varied: it has had a single parameter void *BIOS and at other times a single parameter int magic.